summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2019-02-23 06:03:10 +0100
committerMike Gilbert <floppym@gentoo.org>2019-02-25 16:24:55 -0500
commite0556ce3cbc530d36ba9548aedcac376d545b970 (patch)
tree20ae6ac76a6c90280b2a4b4cf76c5490d0a9644a /net-libs
parentapp-i18n/libchewing: Set RESTRICT="!test? ( test )". (diff)
downloadgentoo-e0556ce3cbc530d36ba9548aedcac376d545b970.tar.gz
gentoo-e0556ce3cbc530d36ba9548aedcac376d545b970.tar.bz2
gentoo-e0556ce3cbc530d36ba9548aedcac376d545b970.zip
net-libs/neon: Fix building with USE="-gnutls pkcs11 ssl" and >=dev-libs/openssl-1.1.
Fixes: https://bugs.gentoo.org/674554 Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org> Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/neon/neon-0.30.2.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/net-libs/neon/neon-0.30.2.ebuild b/net-libs/neon/neon-0.30.2.ebuild
index e7b2bb04dd1..cad03d94e6d 100644
--- a/net-libs/neon/neon-0.30.2.ebuild
+++ b/net-libs/neon/neon-0.30.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 2001-2019 Arfrever Frehtes Taifersar Arahesis and others
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
@@ -42,6 +42,9 @@ src_prepare() {
# Use CHOST-prefixed version of xml2-config for cross-compilation.
sed -e "s/AC_CHECK_PROG(XML2_CONFIG,/AC_CHECK_TOOL(XML2_CONFIG,/" -i macros/neon-xml-parser.m4 || die "sed failed"
+ # Fix compatibility with OpenSSL >=1.1.
+ sed -e "s/RSA_F_RSA_PRIVATE_ENCRYPT/RSA_F_RSA_OSSL_PRIVATE_ENCRYPT/" -i src/ne_pkcs11.c || die "sed failed"
+
# Use OpenSSL <1.1 compatibility code with LibreSSL.
# Functions EVP_PKEY_up_ref(), EVP_PKEY_get0_RSA(), RSA_meth_get0_app_data(), RSA_meth_new(), RSA_meth_free(),
# RSA_meth_set_priv_enc(), RSA_meth_set0_app_data() are not implemented in LibreSSL 2.5.1.